std::submdspan_mapping_result(3)

NAME
std::submdspan_mapping_result - std::submdspan_mapping_result

Synopsis
   Defined in header <mdspan>
   template< class LayoutMapping > (since C++26)
   struct submdspan_mapping_result;
   Specializations of submdspan_mapping_result are result types returned by overloads
   of submdspan_mapping.
   This class template has no base classes or declared members other than those shown
   below.

Template parameters
   LayoutMapping - a layout mapping type that meets the requirements of LayoutMapping
   Data members
   Member name Definition
               calculated mapping of type LayoutMapping. It is declared with
   mapping [[no_unique_address]] attribute.
               (public member object)
   offset calculated offset of type std::size_t.
               (public member object)
   All these members have default member initializers where each data member is value
   initialized.

See also
   submdspan returns a view of a subset of an
   (C++26) existing mdspan
                        (function template)
                        calculates the mapping and data
   submdspan_mapping(std::layout_left::mapping) handle offset used for subdmspan
   (C++26) (public member function of
                        std::layout_left::mapping<Extents>)
                        calculates the mapping and data
   submdspan_mapping(std::layout_right::mapping) handle offset used for subdmspan
   (C++26) (public member function of
                        std::layout_right::mapping<Extents>)
                        calculates the mapping and data
   submdspan_mapping(std::layout_stride::mapping) handle offset used for subdmspan
   (C++26) (public member function of
                        std::layout_stride::mapping<Extents>)